Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1284222

Summary: Application wont start on Gnome Wayland
Product: [Fedora] Fedora Reporter: Sam Bristow <sam.bristow>
Component: grub-customizerAssignee: Vasiliy Glazov <vascom2>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: ofourdan, thierry.vignaud, vascom2
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-12-20 16:10:03 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1274451    
Bug Blocks: 1277927    

Description Sam Bristow 2015-11-22 04:06:02 UTC
Description of problem:
grub-customizer doesn't start if the user is running Gnome Wayland


Version-Release number of selected component (if applicable):
grub-customizer-4.0.6-5.fc23.x86_64

How reproducible:
Fails 100% of the time under Wayland, always starts on X11.

Steps to Reproduce:
1. Install `grub-customizer`
2. Run `grub-customizer` from the command line
3. Enter password in the dialog

Actual results:
"""
No protocol specified
Unable to init server: Could not connect: Connection refused

(grub-customizer:3145): Gtk-WARNING **: cannot open display: :0
"""
Expected results:
`grub-customizer` starts

Additional info:

Comment 1 Vasiliy Glazov 2016-03-25 08:15:26 UTC
Please try version 5.0.3
http://koji.fedoraproject.org/koji/buildinfo?buildID=748868

Comment 2 Olivier Fourdan 2016-03-30 08:55:10 UTC
The same issue still occurs with version 5.0.4-1.fc24 here.

I reckon this is the same issue as bug #1274451 or bug #1313098, basically, running X11 apps as root in Xwayland is not allowed.

Comment 3 Vasiliy Glazov 2016-03-30 08:58:22 UTC
Then we must wait when it will be allowed.

Comment 4 Fedora End Of Life 2016-11-24 13:38:13 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2016-12-20 16:10:03 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.